#include<iostream>
#include<conio.h>
using namespace std;
class SmallerClass
{
	private :
		double s;
		int i;
	public :
		double x;
		void CalculateSmaller()
		{
			for(i = 0; i < 30; i++)
			{
				cin >> x;
				if(i == 0)
					s = x;
				else if(x < s)
					s = x;
			}
		}
		double GetSmaller()
		{
			return s;
		}	
};

int main()
{
	SmallerClass A;
	cout << "Tedade 30 Moadel ra be tartib vared konid : ";
	A.CalculateSmaller();
	cout << "Kochektarin Moadel = " << A.GetSmaller() << endl;
	getch();
}

